wnpa-sec-2017-35 · MQ dissector crash

Summary

Name: MQ dissector crash

Docid: wnpa-sec-2017-35

Date: July 18, 2017

Affected versions: 2.2.0 to 2.2.7, 2.0.0 to 2.0.13

Fixed versions: 2.2.8, 2.0.14

References:
Wireshark issue 13792
CVE-2017-11407

Details

Description

The MQ dissector could crash.

Impact

It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Resolution

Upgrade to Wireshark 2.2.8, 2.0.14 or later.